Bug 35515 - Autocorrection error to capitalize email addresses with periods in them
Summary: Autocorrection error to capitalize email addresses with periods in them
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2011-03-21 11:53 UTC by João Hornburg
Modified: 2019-01-09 03:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description João Hornburg 2011-03-21 11:53:11 UTC
When I type an email address which contains a dot (like first.second@provider.com) the first part of the address is immediately capitalized after I type the dot. So typing "first." results in "First.". I always have to undo the auto-correction before continuing to type the address.

The correct behavior should be: only capitalize a word followed by a dot after the user types <space>.
Comment 1 Björn Michaelsen 2011-12-23 11:46:01 UTC Comment hidden (obsolete)
Comment 2 Thomas Arnhold 2012-02-21 01:47:18 UTC
Yep, this is still occuring with 3.5 and master.
Comment 3 tommy27 2012-12-28 23:44:38 UTC
tested on LibO 3.6.4 and LibO 4.0 beta2+ 28-12-2012 using Windows Vista 64bit

capitalization of such email address (first.second@provider.com) happens only if that email is at the first line of the page or after another "dot".

-------------
i.e.

First.second@provider.com some dummy text.

or  

Some dummy text. First.second@provider.com

-------------
no capitalization happens if you type it in the middle of a paragraph

i.e.

Some dummy text first.second@provider.com


as a workaround, in case of frequently typed addresses you could revert capitalization adding a "First.second@provider.com --> first.second@provider.com" entry in the "Tools/Autocorrect options/Replace" list

-------------

interestingly capitalization does not take place if the first part of the email address before the dot is shorter than 3 keys.

i.e.

first.second@provider.com --> gets capitalized 

firs.second@provider.com --> gets capitalized 

fir.second@provider.com --> gets capitalized 

fi.second@provider.com --> not capitalized

f.second@provider.com --> not capitalized
Comment 4 Owen Genat (retired) 2013-11-23 00:44:40 UTC
(In reply to comment #0)
> The correct behavior should be: only capitalize a word followed by a dot after the user types <space>.

I would tend to agree with this but express it as "only capitalize a word followed by a dot AND space combination". Exceptions to capitalisation (when pressing SPACE) can be entered into Tools > AutoCorrect Options... > Exception tab > Abbreviation list so ignoring non-SPACE characters would seem reasonable to me.

(In reply to comment #3)
> capitalization of such email address (first.second@provider.com) happens
> only if that email is at the first line of the page or after another "dot".

This partly depends on entries in the Replace list (refer below) and Tools > AutoCorrect Options... > Options tab > entry "Capitalise first letter of every sentence" having the T option checked. I don't understand the "first line of the page" aspect, but can confirm this. Not sure why this line is treated differently.

> interestingly capitalization does not take place if the first part of the
> email address before the dot is shorter than 3 keys.

... and there is no matching entry in the Tools > AutoCorrect Options... > Replace list. Under Ubuntu 10.04 x86_64 running v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a (with default settings):

a.b@c.com
aa.b@c.com
Aaa.b@c.com
Aaaa.b@c.com
A a.b@c.com
A aa.b@c.com
A aaa.b@c.com
A aaaa.b@c.com
End. a.b@c.com
End. aa.b@c.com
End. Aaa.b@c.com
End. Aaaa.b@c.com
I.j@k.com
ii.j@k.com
Iii.j@k.com
Iiii.j@k.com
H I.j@k.com
H ii.j@k.com
H iii.j@k.com
H iiii.j@k.com
End. I.j@k.com
End. ii.j@k.com
End. Iii.j@k.com
End. Iiii.j@k.com

That is basically a re-confirmation of the results in comment #3. Single lowercase i will always be converted due to the Replace list entry i -> I. Is the less-than-three letter capitalisation setting hardcoded? I can't find a related option.
Comment 5 tommy27 2015-02-28 21:29:13 UTC
issue still present in LibO 4.4.1.2 (Win8x64)
Comment 6 tommy27 2016-04-16 07:24:35 UTC Comment hidden (obsolete)
Comment 7 tommy27 2017-01-07 20:38:20 UTC
still present in LibO 5.2.4.2 and 5.4.0.0.alpha0+
Build ID: 215cbfb460326010737433c2020638e9388a88a4
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-02_23:58:32
Locale: it-IT (it_IT); Calc: group
Comment 8 QA Administrators 2018-01-08 03:29:22 UTC Comment hidden (obsolete)
Comment 9 tommy27 2018-01-08 06:16:46 UTC
same findings as in comment 3

tested under Win8.1 x64 using LibO 6.1.0.0.alpha0+
Build ID: 075b5ad5bdd230738ee30b0ea17a7fa9502c218b
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-22_00:40:12
Locale: it-IT (it_IT); Calc: group threaded
Comment 10 QA Administrators 2019-01-09 03:44:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug